Package org.apache.sling.scripting.sightly.compiler.expression

## Interface ExpressionNode

All Known Subinterfaces:
  `Atom`

All Known Implementing Classes:
  `ArrayLiteral`, `BinaryOperation`, `BooleanConstant`, `Identifier`, `MapLiteral`, `NullLiteral`, `NumericConstant`, `PropertyAccess`, `RuntimeCall`, `StringConstant`, `TernaryOperator`, `UnaryOperation`

    @ProviderType
    public interface ExpressionNode

Defines a node in a HTL expression tree.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `accept​(NodeVisitor<T> visitor)` Accept a visitor to process this node.

### Method Detail

#### accept

    <T> T accept​(NodeVisitor<T> visitor)

Accept a visitor to process this node.

Type Parameters:
  `T` - the type of the visitor
Parameters:
  `visitor` - The visitor
Returns:
  the node after it has been evaluated by the visitor